Subject: RE: [MMUSIC] Service/Session Announcement for Multicast Apps

From: "Sami Peltotalo" <[email-masked]>
Date: Fri, 31 Oct 2003 16:36:19 +0200

Hi,

I am currently working with topic, which handles service and session announcements for multicast applications. SAP/SDP doesn't suit very well for describing services, which could be categorized to different groups, for example sports, news etc. So that the receiver could build some kind of service hierarchy from the announcements, and the user is able to browse the services from categories he or she is interested. At least I have chosen another protocols than SAP/SDP in my work. RMT working group's FLUTE protocol seems to be very good choise for the transmission of service descriptions, so I am using it. I can't use SAP because it has limited payload size and payload can't be segmented to different packets (my service and session descriptions are much larger than for example one SDP description). I am using XML in my service and session descriptions so it was nice to notice that SDPng has now again XML-Schema. Has anyone else considered to use FLUTE for transmission of session announcements? 

Cheers, Sami

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: 15. lokakuuta 2003 12:58
> To: [email-masked]; [email-masked]
> Subject: [MMUSIC] Service/Session Announcement for Multicast Apps
> 
> 
> Does anyone have a problem with a new and better announcement 
> protocol than SAP?
> 
> We need a few things which SAP doesn't handle too well, which is 
> one of the things covered by the Internet Media Guide effort in 
> MMUSIC: 
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-img-req-00.txt
> 
> I guess anyone involved in applications/services over multicast 
> could be interested, especially where point-to-point isn't desirable.
> 
> I wanted to get an idea of any strong opinions before I stick out 
> head and propose a real protocol task for MMUSIC next month.
> 
> Cheers, Rod.
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic